Bug 982364 - Replace adblock plus by adblock edge or another abp fork
Replace adblock plus by adblock edge or another abp fork
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mozilla-adblockplus (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 15:44 EDT by Heiko Adams
Modified: 2015-06-29 08:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:03:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2013-07-08 15:44:00 EDT
Description of problem:
Due to recent controversy about Adblock Plus and their business model which make clear that Adblock Plus obviously is not an ad-blocker in the first place but a ad-seller, So i request replacing adblock plus by adblock edge or another non controversial adblock plus fork which is missing the "acceptable ads" feature.

[1] http://www.h-online.com/newsticker/news/item/Serious-accusations-against-AdBlock-Plus-1897360.html
[2] http://www.theverge.com/2013/7/5/4496852/adblock-plus-eye-google-whitelist
[3] http://www.digitaltrends.com/web/adblock-plus-accused-of-shaking-down-websites/
Comment 1 Andreas Thienemann 2013-07-08 15:48:09 EDT
Not 100% sure this is still the case but for what's it worth: The fedora package I created had the acceptable ads feature disabled as I did consider this ripe for abuse. Not glad to see though that I was right.

If this is still the case for the current packages, the controversy is not relevant for us, is it?

How is adblock edge featurewise? What other fork is sensible?
Comment 2 Heiko Adams 2013-07-08 16:01:36 EDT
IMHO it's still relevant because the feature itself is still present even if its disabled by default. And since this controversity started adblock plus and the Eyeos GmbH are discredited and lost a huge amount of trustworthiness. So from this point of view adblock plus should be either replaced by one of it's forks or adblock edge should land in fedoras repositories as an alternative to adblock plus.

I'm using adblock edge so I can only talk about this fork. ABE doesn't have the acceptable ads feature at all. It's completely removed from the sourcecode.
Comment 3 Russell Golden 2013-07-10 14:33:08 EDT
The "non-intrusive ads" feature really does not bother me. I wholeheartedly agree with it. Once ad companies get it through their heads that we don't *want* intrusive advertising, maybe they'll switch to non-intrusive stuff like AdWords does.

However, if the project is asking for money to be on the whitelist, this does raise serious ethical concerns.

I propose making a new package for AdBlock Edge. I think this one should stay around for those who don't mind the feature.
Comment 4 Fedora End Of Life 2013-09-16 10:26:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:09:50 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:03:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.